Subject: [Maprg] Fwd: Re: Filtering of TCP Keepalive Messages

From: Hannes Tschofenig <[email-masked]>
Date: Sun, 27 Mar 2016 11:43:34 +0200

Lars kindly pointed me to this group. Maybe someone of you could provide
feedback.

Ciao
Hannes

-------- Forwarded Message --------
Subject: Re: Filtering of TCP Keepalive Messages
Date: Sun, 27 Mar 2016 07:31:10 +0000
From: Eggert, Lars <[email-masked]>
To: Hannes Tschofenig <[email-masked]>
CC: [email-masked] <[email-masked]>

Also ask on MAPRG?

On 2016-03-26, at 15:56, Hannes Tschofenig <[email-masked]>
wrote:
> 
> Hi all,
> 
> in the CORE working group we are developing a document that allows CoAP
> to be run over TCP (and TLS) to deal with firewalls and NATs. To ensure
> that state that these middleboxes is kept alive various techniques are
> available, including
> * TCP keep-alive messages,
> * TLS heartbeat messages (obviously work only with TLS),
> * application layer heartbeats.
> 
> On the CORE list I was told that (based on personal experience) TCP
> keepalive messages are often filtered by routers in cellular operator
> networks.
> 
> I was wondering whether there are some data points about this somewhere.
> I am sure someone of you can point me to the right direction.
> 
> Ciao
> Hannes
>